Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452052 - sound does not work with isapnp sound card
Summary: sound does not work with isapnp sound card
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ConsoleKit
Version: 14
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-19 00:35 UTC by Andre Robatino
Modified: 2012-08-16 22:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 22:05:25 UTC


Attachments (Terms of Use)

Description Andre Robatino 2008-06-19 00:35:16 UTC
Description of problem:
I have an old machine with a CS4235 isapnp sound chip.  The appropriate sound
module is snd-cs4236, and by manually modprobing this it loads successfully. 
However, upon graphical login, the volume control applet is x-ed out, and
clicking on it gives the message

-begin-
The volume control did not find any elements and/or devices to control. This
means either that you don't have the right GStreamer plugins installed, or that
you don't have a sound card configured.

You can remove the volume control from the panel by right-clicking the speaker
icon on the panel and selecting "Remove From Panel" from the menu.
-end-

Everything worked normally up to at least FC6 (I was unable to install Fedora 7
or 8, so I don't know when this problem started).

Version-Release number of selected component (if applicable):
gstreamer-0.10.19-1.fc9.i386

How reproducible:
always

Additional info:
I originally made comments for this problem under bug #178998, not realizing
that this was a separate problem.  Please see the last few comments from that
bug for additional information.

Comment 1 Adam Jackson 2008-06-19 17:31:24 UTC
That's unfortunate, but totally not a gstreamer problem.  Blaming the kernel.

Comment 2 Andre Robatino 2008-06-20 03:54:53 UTC

*** This bug has been marked as a duplicate of 178998 ***

Comment 3 Andre Robatino 2008-06-20 06:35:12 UTC
I decided to reopen this bug since it is a different (and more severe) problem
from that of bug #178998 - that one is about having to manually configure the
sound card, this one is about sound not working even after that is done.

Comment 4 Andre Robatino 2008-06-20 10:36:01 UTC
I tried the advice given to me at

http://forums.fedoraforum.org/showthread.php?p=1025000

and the volume control applet is no longer x-ed out, but there is still no
actual sound.

Comment 5 Joachim Frieben 2008-08-07 22:13:52 UTC
I have a similar problem with my PR440FX onboard sound device CS423X which is an ISA one, too. After a fresh F9 install, I have to load the sound module snd-cs4236 by hand which is a known issue. Up to F8, this allowed to enable system sounds.

- Opening menu item "System > Preferences > Hardware > Sound" allows to test sound playback (autodetect). No sound but:

  "audiotestsrc wave=sine freq=512 ! audioconvert ! audioresample !
   gconfaudiosink: Failed to connect stream: Invalid argument"

- Opening menu item "System > Preferences > Hardware > Volume Control" leads
  to "No volume control GStreamer plugins and/or devices found."

- Executing "aplay /usr/share/sounds/phone.wav" as "root" or as normal user
  returns

  Playing WAVE '/usr/share/sounds/phone.wav' : Signed 16 bit Little Endian,
    Rate 44100 Hz, Stereo
  *** PULSEAUDIO: Unable to create stream.
  aplay: set_params:979: Unable to install hw params:
  ACCESS:  RW_INTERLEAVED
  FORMAT:  S16_LE
  SUBFORMAT:  STD
  SAMPLE_BITS: 16
  FRAME_BITS: 32
  CHANNELS: 2
  RATE: 44100
  PERIOD_TIME: 125000
  PERIOD_SIZE: (5512 5513)
  PERIOD_BYTES: 22050
  PERIODS: 4
  BUFFER_TIME: 500000
  BUFFER_SIZE: 22050
  BUFFER_BYTES: 88200
  TICK_TIME: [0 0]

- Executing "alsamixer" either as "root" or as normal user returns:

  No mixer elems found

However, the card well exists:

$ ls /proc/asound
card0/  CS4236B@  hwdep    oss/  seq/    version
cards   devices   modules  pcm   timers

and 'more /proc/asound/cards' yields 
 0 [CS4236B        ]: CS4236B - CS4236B
                      CS4236B at 0x534, irq 5, dma 1&3

Package information:
alsa-lib-1.0.16-3.fc9.i386
alsa-lib-devel-1.0.16-3.fc9.i386
alsa-plugins-pulseaudio-1.0.16-4.fc9.i386
alsa-utils-1.0.16-3.fc9.i386
gstreamer-0.10.19-1.fc9.i386
gstreamer-plugins-base-0.10.19-2.fc9.i386
gstreamer-plugins-flumpegdemux-0.10.15-2.fc9.i386
gstreamer-plugins-good-0.10.8-8.fc9.i386
gstreamer-plugins-pulse-0.9.5-0.5.svn20070924.fc9.i386
gstreamer-python-0.10.11-2.fc9.i386
gstreamer-tools-0.10.19-1.fc9.i386
pulseaudio-0.9.10-1.fc9.i386
pulseaudio-core-libs-0.9.10-1.fc9.i386
pulseaudio-esound-compat-0.9.10-1.fc9.i386
pulseaudio-libs-0.9.10-1.fc9.i386
pulseaudio-libs-glib2-0.9.10-1.fc9.i386
pulseaudio-module-gconf-0.9.10-1.fc9.i386
pulseaudio-module-x11-0.9.10-1.fc9.i386
pulseaudio-utils-0.9.10-1.fc9.i386

Comment 6 Chuck Ebbert 2008-09-23 03:15:03 UTC
Looks like permissions aren't being set properly on the sound device files.

Can you post the output of 'getfacls /dev/snd/controlC0' ?

Comment 7 Andre Robatino 2008-09-23 03:29:18 UTC
Presumably you mean getfacl.  The box in question hasn't been updated in months, and updating it will take a while, since it's so slow.  Do you anticipate that the updates might change the result of the command, or is it okay to just boot it up and run "getfacl /dev/snd/controlC0" without applying the updates?

Comment 8 Chuck Ebbert 2008-09-23 03:59:52 UTC
Never mind...

Looks like there are two problems:

1. Something (ConsoleKit? PolicyKit?) isn't setting permissions for ISA audio devices.

2. Pulseuadio doesn't support ISA devices.

Neither of these is a kernel bug.  The driver even loads automatically now with kernel 2.6.26.3.

Comment 9 Andre Robatino 2008-09-23 04:06:06 UTC
Are these issues expected to be fixed eventually, or is ISA so old now that it's not considered worth it?  I will update the machine soon so I will be able to provide information more quickly, and also to verify if the driver does in fact load automatically with the latest kernel.

Comment 10 Andre Robatino 2008-09-23 12:31:11 UTC
I fully updated the machine and verified that the snd-cs4236 driver loads automatically with the latest kernel.  If I go to System/Preferences/Hardware/Sound and choose the OSS option under the "Sound Events", "Music and Movies" and "Audio Conferencing" sections, the corresponding "Test" buttons work.  I can't get sound anywhere else, even under the "Sounds" tab in the same window.

Here is the output of the getfacl command in case it helps:

# file: dev/snd/controlC0
# owner: andre
# group: root
user::rw-
group::rw-
other::rw-

Since the machine is updated, if you need any other information, now is a good time to ask.  The problem with Pulseaudio not supporting ISA devices is probably already well known, but the other problem sounds like it's relatively easy to fix.  I would be happy to file a bug under another component if I knew which one and how to describe it.

Comment 11 Andre Robatino 2009-06-07 02:42:09 UTC
Still waiting for someone to tell me which component(s) to reassign this to.  I've done a clean install of F11 Final (A.K.A. RC4) with all updates applied.

Comment 12 Bug Zapper 2010-04-27 12:06:59 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 13 Bug Zapper 2010-11-04 11:52:26 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 14 Andre Robatino 2011-09-22 00:47:28 UTC
Any particular reason this is being closed? The only reason I haven't updated the Version to F15 is that the affected machine doesn't have enough memory to clean-install F15, there's no reason to think the bug is fixed there (I'm hoping F16 will be possible to clean-install).

Comment 15 Josh Boyer 2011-09-22 01:35:31 UTC
(In reply to comment #14)
> Any particular reason this is being closed? 

It's been open since Fedora Core 9, comment #8 indicates it's not a kernel problem, and the last non-bot comment was over 2 years ago.  It's been marked as WONTFIX because it's clearly obvious we won't be fixing this bug.

Comment 16 Andre Robatino 2011-09-22 01:44:40 UTC
Reopening and reassigning to ConsoleKit (one of the two possibilities mentioned in comment 8).

Comment 17 Fedora End Of Life 2012-08-16 22:05:27 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.